Subject: traffic isolation and port numbers

From: [email-masked] (Konstantinos Dovrolis)
Date: Sun, 1 Feb 1998 03:39:08 -0600

> 
>  >>I would like to know what the group thinks about the following idea.
>  
>  ...a lot of ISPs already do this....

This is very interesting. Would you like to give some more details?
What kind of "contracts" do they sell? Something like "I will not
put your Telnet packets at the same queue with HTTP packets"?
Note that I am not saying that port numbers can be
used for service differentiation (instead of a DP or priority bit
at the TOS), but that port numbers can be used to isolate the
adptive applications from the non-adaptive. It seems to me 
(over the last couple of weeks...) that this is what is really needed,
and not a drop preference bit or a delay indicator.

> 
>  >>So, suppose that each ISP makes a "black list" of the non-adaptive
>  >>applications, and the routers at all the user-network or network-network
>  >>ingress points classify the arriving traffic based on the port numbers.
>  >>I mean, suppose that user (or network) X has subscribed for a 
higher-service
>  >>class (say based on DP) with the adjacent network Y. The contract is
>  >>that this class can only be used if the source or destination port numbers
>  >>belong to this list (actually this would be the "white list").
>  >>The traffic agreements are only bilateral and the policing
>  >>is not per-flow or per-user, but just based on the port number of each
>  >>packet (I am assuming here that 99% of the IP traffic is and
>  >>will remain TCP or UDP, so we can talk for port numbers for each IP 
packet).
>  >>The port lookup can be done in parallel with the forwarding decision,
>  >>so I don't think that it would make the router any slower.
> 
> basicaly, this is much the philosphoy behind Van's diffserve model -
> if you have dumb, non adaptve applications, then rent a "CBR pipe"
> from your ISP, otherwise adapt....
> 

I am not sure that Van's premioum service aims to isolate adaptive
from non-adaptive traffic. It offers the illusion of a dedicated
link to corporations that do not want to mess their traffic with
Web-browsers; I think this is what it is. To be frank, I don't think
that the IETF has much to do with this issue. This is something
that corporations can arrange with ISPs directly, arranging that
a certain share of the bandwidth along certain paths will be allocated
to them, using CBQ or something similar.

> RED does fairness in latter case, and peak rate police with discard
> does it in the former, with the price making it unlikely too many
> people subscrie to the expensive to implement and provision "higher"
> grade premium...

I am not sure that I understand the above. Latter and former... where
are you referring to? 

Cheers,

Constantinos